# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/powertip,st7272.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Powertip Electronic Technology Co. 320 x 240 LCD panel

maintainers:
  - Lukasz Majewski <lukma@denx.de>

allOf:
  - $ref: panel-dpi.yaml#

properties:
  compatible:
    items:
      - const: powertip,st7272
      - {} # panel-dpi, but not listed here to avoid false select

  height-mm: true
  panel-timing: true
  port: true
  power-supply: true
  width-mm: true

additionalProperties: false

...
